﻿#pragma once

#include "..\..\DuiLib\UIlib.h"
#include "DuiDefine.h"
#include <vector>

#include "AutoTextListUI.h"
#include "AutoTextListElementUI.h"
#include "AutoTextListHeaderUI.h"
#include "AutoTextListHeaderItemUI.h"

class MainFrame;
class CSettingFrame;

#define SC_DEFAULT_SIZE 10

class CSettingAutoText : public CContainerUI
{

public:
	CSettingAutoText(CSettingFrame* pSettingFrame);
	~CSettingAutoText();

	LPCTSTR GetWindowClassName() const;
	void InitControl();
public:

	//void Notify(TNotifyUI& msg);
	//void OnPrepare(TNotifyUI& msg);
	virtual CDuiString GetSkinFile();
	virtual CDuiString GetSkinFolder();

	void LoadListViewItem();
	void InitListViewHeader();
	void NotifyItemClick(TNotifyUI& msg);

private:
	CAutoTextListUI* m_pList;
	CSettingFrame* m_pSettingFrame;
	
};
